当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助 sancho用不了
帖子发表于 : 2009-06-08 13:52 

注册: 2009-06-03 21:25
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
照这个帖子安装的
http://www.ubuntuchina.com/redirect.php ... o=lastpost

到 “三.sancho设置“
在终端里运行sancho,结果显示:
Unhandled Java exception:
java.lang.UnsatisfiedLinkError: no swt-pi-gtk-3509 or swt-pi-gtk in swt.library.path, java.library.path or the jar file
at org.eclipse.swt.internal.Library.loadLibrary(sancho)
at org.eclipse.swt.internal.Library.loadLibrary(sancho)
at org.eclipse.swt.internal.gtk.OS.<clinit>(sancho)
at java.lang.Class.initializeClass(sancho)
at org.eclipse.swt.internal.gtk.OS.g_utf16_to_utf8(sancho)
at org.eclipse.swt.internal.Converter.wcsToMbcs(sancho)
at org.eclipse.swt.widgets.Display.<clinit>(sancho)
at java.lang.Class.initializeClass(sancho)
at org.eclipse.swt.widgets.Display.setAppName(sancho)
at sancho.core.Sancho.main(sancho)

这是怎么回事???
Google里找了一下,都是英文的,看不大明白。貌似是缺swt-pi-gtk-3509,还似乎和64位系统有关(我用的是 Fedora10x86_64),还和eclipse有关。在http://www.eclipse.org/swt去下了Stable的swt- 3.4.2-gtk-linux-x86.zip和Development的swt-3.5RC3-gtk-linux-x86.zip,里面有 libswt-pi-gtk-3549.so和libswt-pi-gtk-3452.so,不知和swt-pi-gtk-3509是什么关系?swt.library.path, java.library.path or the jar file这三个是在什么地方?
在Google里看,别人也遇到了这个问题,不过是英文的,看不懂。
我上不了http://sancho-gui.sourceforge.net/是在别处找的sancho-0.9.4-59-linux-gtk.sh
求各位大大帮忙


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助 sancho用不了
帖子发表于 : 2009-06-08 13:57 

注册: 2009-06-03 21:25
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
怎么发了两次,请帮忙删掉一个。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译